## START: Set by rpmautospec
## (rpmautospec version 0.3.0)
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 47;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           plotmm
Version:        0.1.2
Release:        %autorelease
Summary:        GTKmm plot widget for scientific applications
License:        LGPLv2
URL:            http://plotmm.sourceforge.net/
Source0:        https://download.sourceforge.net/plotmm/plotmm-%{version}.tar.gz
# Fix code to build against libsigc++20
# Upstream:
# https://sourceforge.net/tracker/?func=detail&atid=632478&aid=2082337&group_id=102665
Patch0:         plotmm-0.1.2-libsigc++20.patch
Patch1:         plotmm-configure-c99.patch
BuildRequires:  coreutils
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  hardlink
BuildRequires:  make
BuildRequires:  sed
BuildRequires:  pkgconfig(gtkmm-2.4)


%description
This package provides an extension to the gtkmm library. It contains widgets
which are primarily useful for technical and scientifical purposes.

%package devel
Summary:        Headers for developing programs that will use plotmm
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       pkgconfig(gtkmm-2.4)
Obsoletes:      %{name}-devel < 0.1.2-35


%description devel
This package contains the headers that programmers will need to develop
applications which will use plotmm.


%package devel-doc
Summary:        Documentation for developing programs that will use plotmm
Requires:       %{name}-devel = %{version}-%{release}
Obsoletes:      %{name}-devel < 0.1.2-35
BuildArch:      noarch


%description devel-doc
This package contains the documentation that programmers will need to develop
applications which will use plotmm.


%package -n plotmm-examples
Summary:    Plotmm sample applications
Requires:   %{name}%{?_isa} = %{version}-%{release}


%description -n plotmm-examples
Plotmm sample applications: plotmm-curves, plotmm-simple


%prep
%setup -q -n plotmm-%{version}
%patch0 -p1 -b .libsigc++20
%patch1 -p1 -b .c99

%build
%configure --disable-rpath --disable-static
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
%make_build


%install
%make_install
find %{buildroot} -type f -name "*.la" -delete
mv %{buildroot}%{_bindir}/curves %{buildroot}%{_bindir}/plotmm-curves
mv %{buildroot}%{_bindir}/simple %{buildroot}%{_bindir}/plotmm-simple
install -d %{buildroot}%{_pkgdocdir}-devel-doc
cp -pr doc/html %{buildroot}%{_pkgdocdir}-devel-doc/
hardlink %{buildroot}%{_pkgdocdir}-devel-doc/html


%files
# FSF address is outdated, filed upstream: https://sourceforge.net/p/plotmm/bugs/5/
%license COPYING
%doc AUTHORS ChangeLog README
%{_libdir}/libplotmm.so.0
%{_libdir}/libplotmm.so.0.*

%files devel
%{_includedir}/plotmm/
%{_libdir}/libplotmm.so
%{_libdir}/pkgconfig/*.pc

%files devel-doc
%doc %{_pkgdocdir}-devel-doc/html

%files -n plotmm-examples
%{_bindir}/plotmm-curves
%{_bindir}/plotmm-simple

%changelog
* Sun Dec 18 2022 Florian Weimer <fweimer@redhat.com> 0.1.2-47
- Port configure script to C 99

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.1.2-46
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu May 19 2022 Nils Philippsen <nils@tiptoe.de> 0.1.2-45
- Convert to rpmautospec
- Use https:// link for source tarball
- Put devel docs into their own subpackage
- Miscellaneous other fixes

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.1.2-44
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Mon Nov 29 2021 Tomas Hrcka <thrcka@redhat.com> 0.1.2-43
- Revert "Orphaned for 6+ weeks"

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> 0.1.2-42
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Fri Jan 08 2021 Tom Stellard <tstellar@redhat.com> 0.1.2-41
- Add BuildRequires: make

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> 0.1.2-40
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> 0.1.2-39
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> 0.1.2-38
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> 0.1.2-37
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Jan 22 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> 0.1.2-36
- Remove obsolete ldconfig scriptlets

* Sun Sep 16 2018 Haikel Guemar <hguemar@fedoraproject.org> 0.1.2-35
- Fix FTBFS (RHBZ#1605479)

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> 0.1.2-34
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jul 10 2018 Jason Tibbitts <tibbs@math.uh.edu> 0.1.2-33
- Remove needless use of %%defattr

* Mon Jul 09 2018 Igor Gnatenko <ignatenko@redhat.com> 0.1.2-32
- add BuildRequires: gcc

* Wed Feb 14 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> 0.1.2-31
- Remove %%clean section

* Tue Feb 13 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> 0.1.2-30
- Remove BuildRoot definition

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> 0.1.2-29
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> 0.1.2-28
- Rebuilt for
  https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> 0.1.2-27
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon May 15 2017 Fedora Release Engineering <releng@fedoraproject.org> 0.1.2-26
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> 0.1.2-25
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> 0.1.2-24
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Dennis Gilmore <dennis@ausil.us> 0.1.2-23
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> 0.1.2-22
- Rebuilt for GCC 5 C++11 ABI change

* Sun Aug 17 2014 Peter Robinson <pbrobinson@fedoraproject.org> 0.1.2-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Dennis Gilmore <dennis@ausil.us> 0.1.2-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Dennis Gilmore <dennis@ausil.us> 0.1.2-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Dennis Gilmore <dennis@ausil.us> 0.1.2-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Dennis Gilmore <dennis@ausil.us> 0.1.2-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Dennis Gilmore <dennis@ausil.us> 0.1.2-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> 0.1.2-15
- Rebuild for new libpng

* Wed Feb 09 2011 Dennis Gilmore <dennis@ausil.us> 0.1.2-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 29 2010 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> 0.1.2-13
- dist-git conversion

* Wed Mar 31 2010 Haïkel Guémar <hguemar@fedoraproject.org> 0.1.2-12
- Rebuilt for F-13

* Wed Nov 25 2009 Bill Nottingham <notting@fedoraproject.org> 0.1.2-11
- Fix typo that causes a failure to update the common directory. (releng
  #2781)

* Sun Jul 26 2009 Jesse Keating <jkeating@fedoraproject.org> 0.1.2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Feb 27 2009 Jesse Keating <jkeating@fedoraproject.org> 0.1.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Aug 29 2008 Tom Callaway <spot@fedoraproject.org> 0.1.2-8
- fix compile against libsigc++20

* Thu Aug 28 2008 Tom Callaway <spot@fedoraproject.org> 0.1.2-7
- fix broken BR

* Thu Aug 28 2008 Tom Callaway <spot@fedoraproject.org> 0.1.2-6
- fix license tag

* Tue Feb 19 2008 Jesse Keating <jkeating@fedoraproject.org> 0.1.2-5
- Autorebuild for GCC 4.3

* Tue Sep 12 2006 Haïkel Guémar <hguemar@fedoraproject.org> 0.1.2-4
- *** empty log message ***

* Mon Sep 11 2006 Haïkel Guémar <hguemar@fedoraproject.org> 0.1.2-3
- *** empty log message ***

* Sun Aug 27 2006 Ville Skyttä <scop@fedoraproject.org> 0.1.2-2
- http://fedoraproject.org/wiki/Extras/Schedule/FC6MassRebuild

* Wed Jul 26 2006 Haïkel Guémar <hguemar@fedoraproject.org> 0.1.2-1
- auto-import plotmm-0.1.2-4 on branch devel from plotmm-0.1.2-4.src.rpm
